From 9686d822284aa8fc9d4d136cc01314f5bf455cba Mon Sep 17 00:00:00 2001
From: Stephen J Day <stephen.day@docker.com>
Date: Fri, 2 Mar 2018 13:23:31 -0800
Subject: [PATCH] btrfs: remove C constant redefinitions

Signed-off-by: Stephen J Day <stephen.day@docker.com>
---
 btrfs.go | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

diff --git a/vendor/github.com/containerd/btrfs/btrfs.go b/vendor/github.com/containerd/btrfs/btrfs.go
index 1deab47..efdf528 100644
--- a/vendor/github.com/containerd/btrfs/btrfs.go
+++ b/vendor/github.com/containerd/btrfs/btrfs.go
@@ -7,10 +7,6 @@ import "sort"
 #include <btrfs/ioctl.h>
 #include "btrfs.h"
 
-// Required because Go has struct casting rules for negative numbers
-const __u64 u64_BTRFS_LAST_FREE_OBJECTID = (__u64)BTRFS_LAST_FREE_OBJECTID;
-const __u64 negative_one = (__u64)-1;
-
 static char* get_name_btrfs_ioctl_vol_args_v2(struct btrfs_ioctl_vol_args_v2* btrfs_struct) {
 	return btrfs_struct->name;
 }
@@ -100,9 +96,9 @@ func subvolMap(path string) (map[uint64]*Info, error) {
 	args.key.min_type = C.BTRFS_ROOT_ITEM_KEY
 	args.key.max_type = C.BTRFS_ROOT_BACKREF_KEY
 	args.key.min_objectid = C.BTRFS_FS_TREE_OBJECTID
-	args.key.max_objectid = C.u64_BTRFS_LAST_FREE_OBJECTID
-	args.key.max_offset = C.negative_one
-	args.key.max_transid = C.negative_one
+	args.key.max_objectid = C.BTRFS_LAST_FREE_OBJECTID
+	args.key.max_offset = ^C.__u64(0)
+	args.key.max_transid = ^C.__u64(0)
 
 	subvolsByID := make(map[uint64]*Info)
 
